General Info
The PRO API expands on Blockscout’s free tier API (5 requests per second) providing expanded rate limits for high-usage projects on Blockscout hosted networks. The free plan includes 100K API credits per day with a rate limit of 5 requests per second. View additional Plan and Credit information.Blockscout PRO API is currently in beta testing. Access the dev portal and get a free API key at https://dev.blockscout.com/
If you are using accessing the PRO API via AI or an AI agent, direct the AI to this file to get started. https://dev.blockscout.com/llms.txt
PRO API Authorization
Pass an API key using either:apikeyquery parameterauthorizationheader
PRO API Response Headers
The following information related to the PRO API plan are included in the response headers- x-credits-remaining: Number of credits remaining in your plan. If on the free plan, this will resent daily, othewise it is monthly. You can check additional details in the PRO API UI.
- x-ratelimit-limit: Available RPS with your plan (can be -1 if there is an internal error)
- x-ratelimit-remaining: Remaining rate limit based on your queries (can be -1 if there is an internal error)
- x-ratelimit-reset: time in milliseconds until the rate limit resets (can be -1 if there is an internal error)

PRO API Routes
All current API routes can be used with the PRO Plan. See the PRO API Testing section for examples you can try with your API key. Examples below use the Optimism chain (chain_id=10). In Previous per-instance routes API keys are optional for the free tier, they are required for all tiers (including the free tier) of the PRO API.-
JSON PRC API v2 (compare to Etherscan PRO API)
PRO API Route:
https://api.blockscout.com/v2/api?chain_id=10&module=block&action=eth_block_number&apikey=proapi_xxxxxxxxPrevious per-instance route: https://eth.blockscout.com/api/v2/transactions`https://optimism.blockscout.com/api?module=block&action=eth_block_number` -
JSON RPC API
PRO API Route:
https://api.blockscout.com/10/api?module=account&action=eth_get_balance&address={addressHash}&apikey=proapi_xxxxxxx
Previous per-instance route:https://optimism.blockscout.com/api?module=account&action=eth_get_balance&address={addressHash} -
REST API
PRO API Route:
https://api.blockscout.com/10/api/v2/blocks/{block_number_or_hash}?apikey=proapi_xxxxxxxx
Previous per-instance route:https://optimism.blockscout.com/api/v2/blocks/{block_number_or_hash} -
ETH RPC API
see ETH RPC docs for more info on post requests. PRO API RoutePrevious per-instance route
Please see the API reference section for specific endpoint info related to the various API routes.
Pagination
Blockscout uses the keyset pagination method to quickly return results. By default an API response returns the first 50 results. To access additional results (in groups of 50), add thenext_page_params to your query.
For example, open https://api.blockscout.com/10/api/v2/transactions?apikey=proapi_xxxxxx and scroll to the bottom of the response.

next_page_params object. Add the parameters from this object to your next query to receive the next 50 results.
https://api.blockscout.com/10/api/v2/transactions?apikey=proapi_xxxxxx&block_number=148445196&index=59&items_count=50
Repeat this process to continue receiving results in groups of 50 (remove params and substitute the new next_page_params found in the body of the query).
